Index: trunk/SophyaPI/PI/pigraphps.cc
===================================================================
--- trunk/SophyaPI/PI/pigraphps.cc	(revision 203)
+++ trunk/SophyaPI/PI/pigraphps.cc	(revision 204)
@@ -29,9 +29,9 @@
 //--
 //++
-// PIGraphicPS(PSFile * psf, float x0, float y0, float dx, float dy)
+// PIGraphicPS(PSFile * psf, double x0, double y0, double dx, double dy)
 //	Création d'un objet "PIGraphicPS" à partir d'un objet "PSFIle* psf".
 //	"(x0, y0)" détermine l'origine du nouveau bloc rectangulaire sur 
 //	la page et "dx, dy" l'extension du bloc. 
-// PIGraphicPS(PSFile * psf, PIWdg* wdg, float ofx, float ofy)
+// PIGraphicPS(PSFile * psf, PIWdg* wdg, double ofx, double ofy)
 //	Création d'un objet "PIGraphicPS" à partir d'un objet "PSFIle* psf"
 //|	x0 = wdg->XPos()+ofx    y0 = wdg->YPos()+ofy
@@ -43,13 +43,13 @@
 
 /* --Methode-- */
-PIGraphicPS::PIGraphicPS(PSFile * psf, PIWdg* wdg, float ofx, float ofy)
+PIGraphicPS::PIGraphicPS(PSFile * psf, PIWdg* wdg, double ofx, double ofy)
 : PIGraphicGen()
 {
-BuildFromPSFile(psf, (float)wdg->XPos()+ofx, (float)wdg->YPos()+ofy, 
-                     (float)wdg->XSize(), (float)wdg->YSize() );  
-}
-
-/* --Methode-- */
-PIGraphicPS::PIGraphicPS(PSFile * psf, float x0, float y0, float dx, float dy)
+BuildFromPSFile(psf, (double)wdg->XPos()+ofx, (double)wdg->YPos()+ofy, 
+                     (double)wdg->XSize(), (double)wdg->YSize() );  
+}
+
+/* --Methode-- */
+PIGraphicPS::PIGraphicPS(PSFile * psf, double x0, double y0, double dx, double dy)
 : PIGraphicGen()
 {
@@ -71,5 +71,5 @@
 
 /* --Methode-- */
-void PIGraphicPS::BuildFromPSFile(PSFile * psf, float x0, float y0, float dx, float dy)
+void PIGraphicPS::BuildFromPSFile(PSFile * psf, double x0, double y0, double dx, double dy)
 {
 mPSOut = psf;
@@ -111,5 +111,5 @@
 {
 if(mPSOut)
-  mPSOut->DrawString((float)x,(float)y,s,mFCol,mFAtt,mFSize); /* $CHECK$ PIFontSize ?? */
+  mPSOut->DrawString((double)x,(double)y,s,mFCol,mFAtt,mFSize); /* $CHECK$ PIFontSize ?? */
 return;
 }
@@ -119,5 +119,5 @@
 {
 if(mPSOut)
-  mPSOut->DrawString((float)x,(float)y,s,mFCol,mFAtt,mFSize); /* $CHECK$ PIFontSize ?? */
+  mPSOut->DrawString((double)x,(double)y,s,mFCol,mFAtt,mFSize); /* $CHECK$ PIFontSize ?? */
 return;
 }
@@ -128,5 +128,5 @@
 {
 if(mPSOut)
-  mPSOut->DrawLine((float)x1,(float)y1,(float)x2,(float)y2,mFCol,mLAtt);
+  mPSOut->DrawLine((double)x1,(double)y1,(double)x2,(double)y2,mFCol,mLAtt);
 return;
 }
@@ -137,5 +137,5 @@
 {
 if(mPSOut)
-  mPSOut->DrawBox((float)x0,(float)y0,(float)dx,(float)dy,mFCol,mLAtt);
+  mPSOut->DrawBox((double)x0,(double)y0,(double)dx,(double)dy,mFCol,mLAtt);
 return;
 }
@@ -145,5 +145,5 @@
 {
 if(mPSOut)
-  mPSOut->DrawFBox((float)x0,(float)y0,(float)dx,(float)dy, mFCol, mFCol, mLAtt);
+  mPSOut->DrawFBox((double)x0,(double)y0,(double)dx,(double)dy, mFCol, mFCol, mLAtt);
 return;
 }
@@ -153,5 +153,5 @@
 {
 if(mPSOut)
-  mPSOut->DrawCircle((float)x0,(float)y0,(float)r,mFCol,mLAtt);
+  mPSOut->DrawCircle((double)x0,(double)y0,(double)r,mFCol,mLAtt);
 return;
 }
@@ -161,5 +161,5 @@
 {
 if(mPSOut)
-  mPSOut->DrawFCircle((float)x0,(float)y0,(float)r,mFCol,mFCol,mLAtt);
+  mPSOut->DrawFCircle((double)x0,(double)y0,(double)r,mFCol,mFCol,mLAtt);
 return;
 }
@@ -181,20 +181,20 @@
 {
 int i;
-float *xtmp;
-float *ytmp;
+double *xtmp;
+double *ytmp;
 
 if(! mPSOut) return;
 
-xtmp = new float[n];
-ytmp = new float[n];
-for(i = 0 ; i < n ; i++) {xtmp[i] = (float)x[i] ; ytmp[i] = (float)y[i] ; }
-//float xoff,yoff;
+xtmp = new double[n];
+ytmp = new double[n];
+for(i = 0 ; i < n ; i++) {xtmp[i] = (double)x[i] ; ytmp[i] = (double)y[i] ; }
+//double xoff,yoff;
 //if (cinc) { xoff=yoff=0.; }   // Coord en mode incremental
-//else { xoff = (float)x[0];  yoff = (float)y[0]; }   //   Coord en mode absolu
-//xtmp[0] = (float)x[0];
-//ytmp[0] = (float)y[0];
+//else { xoff = (double)x[0];  yoff = (double)y[0]; }   //   Coord en mode absolu
+//xtmp[0] = (double)x[0];
+//ytmp[0] = (double)y[0];
 //for(i=1;i<n;i++) {
-//  xtmp[i] = (float)x[i]-xoff;
-//  ytmp[i] = (float)y[i]-yoff;
+//  xtmp[i] = (double)x[i]-xoff;
+//  ytmp[i] = (double)y[i]-yoff;
 //}
 mPSOut->DrawPolygon(xtmp,ytmp,n,mFCol,mLAtt,cinc);
@@ -210,20 +210,20 @@
 {
 int i;
-float *xtmp;
-float *ytmp;
+double *xtmp;
+double *ytmp;
 
 if(! mPSOut) return;
 
-xtmp = new float[n];
-ytmp = new float[n];
-for(i = 0 ; i < n ; i++) {xtmp[i] = (float)x[i] ; ytmp[i] = (float)y[i] ; }
-//float xoff,yoff;
+xtmp = new double[n];
+ytmp = new double[n];
+for(i = 0 ; i < n ; i++) {xtmp[i] = (double)x[i] ; ytmp[i] = (double)y[i] ; }
+//double xoff,yoff;
 //if (cinc) { xoff=yoff=0.; }   // Coord en mode incremental
-//else { xoff = (float)x[0];  yoff = (float)y[0]; }   //   Coord en mode absolu
-//xtmp[0] = (float)x[0];
-//ytmp[0] = (float)y[0];
+//else { xoff = (double)x[0];  yoff = (double)y[0]; }   //   Coord en mode absolu
+//xtmp[0] = (double)x[0];
+//ytmp[0] = (double)y[0];
 //for(i=1;i<n;i++) {
-//  xtmp[i] = (float)x[i]-xoff;
-//  ytmp[i] = (float)y[i]-yoff;
+//  xtmp[i] = (double)x[i]-xoff;
+//  ytmp[i] = (double)y[i]-yoff;
 //}
 mPSOut->DrawFPolygon(xtmp,ytmp,n,mFCol,mFCol,mLAtt,cinc);
@@ -235,5 +235,5 @@
 
 /* --Methode-- */
-void PIGraphicPS::DrawArc(PIGrCoord x0, PIGrCoord y0, PIGrCoord dx, PIGrCoord dy,float degdeb, float degfin)
+void PIGraphicPS::DrawArc(PIGrCoord x0, PIGrCoord y0, PIGrCoord dx, PIGrCoord dy,double degdeb, double degfin)
 {
 // $CHECK$ Reza/ Nicolas  12 Nov 98 - A faire
@@ -241,5 +241,5 @@
 
 /* --Methode-- */
-void PIGraphicPS::DrawFArc(PIGrCoord x0, PIGrCoord y0, PIGrCoord dx, PIGrCoord dy,float degdeb, float degfin)
+void PIGraphicPS::DrawFArc(PIGrCoord x0, PIGrCoord y0, PIGrCoord dx, PIGrCoord dy,double degdeb, double degfin)
 {
 // $CHECK$ Reza/ Nicolas  12 Nov 98 - A faire
@@ -250,5 +250,5 @@
 {
 if(mPSOut)
-  mPSOut->DrawMarker((float)x0,(float)y0,mMrk,mFCol,mMrkSz);
+  mPSOut->DrawMarker((double)x0,(double)y0,mMrk,mFCol,mMrkSz);
 return;
 }
@@ -258,14 +258,14 @@
 {
 int i;
-float *xtmp;
-float *ytmp;
+double *xtmp;
+double *ytmp;
 
 if( !mPSOut)  return;
 
-xtmp = new float[n];
-ytmp = new float[n];
+xtmp = new double[n];
+ytmp = new double[n];
 for(i=0;i<n;i++){
-  xtmp[i] = (float)x[i];
-  ytmp[i] = (float)y[i];
+  xtmp[i] = (double)x[i];
+  ytmp[i] = (double)y[i];
 }
 mPSOut->DrawMarkers(xtmp,ytmp,n,mMrk,mFCol, mMrkSz);
@@ -284,5 +284,5 @@
 if ((pix == NULL) || (cmap == NULL)) return;
 if(mPSOut) 
-  mPSOut->Image((float)x, (float)y, (float)sx, (float)sy, sx, sy, pix, cmap);
+  mPSOut->Image((double)x, (double)y, (double)sx, (double)sy, sx, sy, pix, cmap);
 return;
 }
@@ -455,5 +455,5 @@
 PIGrCoord PIGraphicPS::CalcStringWidth(char const* s)
 {
-return((float)(mFSize*strlen(s)*0.5));   /*  facteur 0.5 ad'hoc $CHECK$  Voir Nicolas ! */
+return((double)(mFSize*strlen(s)*0.5));   /*  facteur 0.5 ad'hoc $CHECK$  Voir Nicolas ! */
 }
 
Index: trunk/SophyaPI/PI/pigraphps.h
===================================================================
--- trunk/SophyaPI/PI/pigraphps.h	(revision 203)
+++ trunk/SophyaPI/PI/pigraphps.h	(revision 204)
@@ -9,6 +9,6 @@
 {
 public:
-                     PIGraphicPS(PSFile * psf, PIWdg* wdg, float ofx=0., float ofy=0.);
-                     PIGraphicPS(PSFile * psf, float x0, float y0, float dx, float dy);
+                     PIGraphicPS(PSFile * psf, PIWdg* wdg, double ofx=0., double ofy=0.);
+                     PIGraphicPS(PSFile * psf, double x0, double y0, double dx, double dy);
   virtual           ~PIGraphicPS();
 
@@ -32,7 +32,7 @@
   virtual void       DrawFPolygon(PIGrCoord *x, PIGrCoord *y, int n, bool cinc=true);  
   virtual void       DrawArc(PIGrCoord x0, PIGrCoord y0, PIGrCoord dx, PIGrCoord dy,
-                             float degdeb, float degfin);
+                             double degdeb, double degfin);
   virtual void       DrawFArc(PIGrCoord x0, PIGrCoord y0, PIGrCoord dx, PIGrCoord dy, 
-                              float degdeb, float degfin);
+                              double degdeb, double degfin);
   virtual void       DrawMarker(PIGrCoord x0, PIGrCoord y0);
   virtual void       DrawMarkers(PIGrCoord *x, PIGrCoord *y, int n);
@@ -74,9 +74,9 @@
 
 protected:
-  void           BuildFromPSFile(PSFile * psf, float x0, float y0, float dx, float dy);
+  void           BuildFromPSFile(PSFile * psf, double x0, double y0, double dx, double dy);
 
   PSFile * mPSOut;  /* Fichier PostScript */
-  float mXmin, mYmin;
-  float mXmax, mYmax;
+  double mXmin, mYmin;
+  double mXmax, mYmax;
 
   PIColors  mFCol, mBCol;
Index: trunk/SophyaPI/PI/pigraphuc.cc
===================================================================
--- trunk/SophyaPI/PI/pigraphuc.cc	(revision 203)
+++ trunk/SophyaPI/PI/pigraphuc.cc	(revision 204)
@@ -21,5 +21,5 @@
 
 // Pour echanger deux valeurs PIGrCoord
-static inline void fl_swap(float& a, float& b) { float tmp = a; a = b; b = tmp; }
+static inline void dbl_swap(double& a, double& b) { double tmp = a; a = b; b = tmp; }
 
 //++
@@ -88,5 +88,5 @@
 //--
 //++
-// void       SetUCS(float xmin, float xmax, float ymin, float ymax, -
+// void       SetUCS(double xmin, double xmax, double ymin, double ymax, -
 // int axrl=kAxeDirSame, int ayud=kAxeDirSame)
 //	Définit le système de coordonnées utilisateur. Axe X de "xmin" à "xmax" , 
@@ -103,13 +103,13 @@
 //	Par défaut : "xmin=ymin=0." , "ymin=ymax=0." , "kAxeDirLtoR" , "kAxeDirDownUp"
 // 
-// void  UC2GrC(float x, float y, float& xpix, float& ypix)
+// void  UC2GrC(double x, double y, double& xpix, double& ypix)
 //	Transformation de coordonnées utilisateur "(x,y)" en coordoonnées 
 //	de l'espace graphic de départ "(xpix, ypix)"
-// void  GrC2UC(float xpix, float ypix, float& x, float& y)
+// void  GrC2UC(double xpix, double ypix, double& x, double& y)
 //	Transformation de coordonnées de l'espace graphic de départ. en coordonnées utilisateur.
-// void  DUC2GrC(float dx, float dy, float& dxpix, float& dypix)
+// void  DUC2GrC(double dx, double dy, double& dxpix, double& dypix)
 //	Transformation de distances selon X,Y en coordonnées utilisateur "dx, dy" en distance
 //	dans l'espace graphique de départ "dxpix , dypix".
-// void  DGrC2UC(float dxpix, float dypix, float& dx, float& dy)
+// void  DGrC2UC(double dxpix, double dypix, double& dx, double& dy)
 //	Transformation de distances selon X,Y dans l'espace graphique de départ en distance
 //	dans l'espace de  coordonnées utilisateur.
@@ -117,15 +117,15 @@
 
 /* --Methode-- */
-void PIGraphicUC::SetUCS(float xmin, float xmax, float ymin, float ymax,
+void PIGraphicUC::SetUCS(double xmin, double xmax, double ymin, double ymax,
                          int axrl, int ayud)
 {
 
   if (axrl == kAxeDirAuto) {
-    float ff;
+    double ff;
     if (xmax < xmin)  { axrl = kAxeDirRtoL;   ff=xmin;  xmin=xmax;  xmax=ff; }
     else  axrl = kAxeDirLtoR;
   }
   if (ayud == kAxeDirAuto) {
-    float ff;
+    double ff;
     if (ymax < ymin)  { ayud = kAxeDirUpDown;   ff=ymin;  ymin=ymax;  ymax=ff; }
     else  ayud = kAxeDirDownUp;
@@ -165,12 +165,12 @@
 
 /* --Methode-- */
-void PIGraphicUC::UC2GrC(float x, float y, float& xpix, float& ypix)
-{
-  xpix = (float)(xOrg + x*xScale);  
-  ypix = (float)(yOrg + y*yScale);  
-}
-
-/* --Methode-- */
-void PIGraphicUC::GrC2UC(float xpix, float ypix, float& x, float& y)
+void PIGraphicUC::UC2GrC(double x, double y, double& xpix, double& ypix)
+{
+  xpix = (double)(xOrg + x*xScale);  
+  ypix = (double)(yOrg + y*yScale);  
+}
+
+/* --Methode-- */
+void PIGraphicUC::GrC2UC(double xpix, double ypix, double& x, double& y)
 {
   x = (xpix-xOrg)/xScale;
@@ -179,5 +179,5 @@
 
 /* --Methode-- */
-void PIGraphicUC::DUC2GrC(float dx, float dy, float& dxpix, float& dypix)
+void PIGraphicUC::DUC2GrC(double dx, double dy, double& dxpix, double& dypix)
 {
   dxpix = dx*xScale;
@@ -188,5 +188,5 @@
 
 /* --Methode-- */
-void PIGraphicUC::DGrC2UC(float dxpix, float dypix, float& dx, float& dy)
+void PIGraphicUC::DGrC2UC(double dxpix, double dypix, double& dx, double& dy)
 {
   dx = dxpix/xScale;
@@ -200,5 +200,5 @@
 {
   if (!mGrC) return;
-  float x, y, dx, dy;
+  double x, y, dx, dy;
   x = xc;  dx = dxc;
   y = yc;  dy = dyc;
@@ -227,9 +227,9 @@
   }
 
-  float xf, yf, xf2, yf2;
+  double xf, yf, xf2, yf2;
   UC2GrC(x, y, xf, yf);
   UC2GrC(x+dx, y+dy, xf2, yf2);
-  if (xf2 < xf)  fl_swap(xf, xf2);
-  if (yf2 < yf)  fl_swap(yf, yf2);
+  if (xf2 < xf)  dbl_swap(xf, xf2);
+  if (yf2 < yf)  dbl_swap(yf, yf2);
   mGrC->Erase(xf, yf, xf2-xf, yf2-yf);
 }
@@ -239,5 +239,5 @@
 {
   if (!mGrC) return;
-  float xf, yf;
+  double xf, yf;
   UC2GrC(x, y, xf, yf);
   mGrC->DrawString(xf, yf, s, pos);  
@@ -248,5 +248,5 @@
 {
   if (!mGrC) return;
-  float xf, yf;
+  double xf, yf;
   UC2GrC(x, y, xf, yf);
   mGrC->DrawOpaqueString(xf, yf, s, pos);  
@@ -258,5 +258,5 @@
   
   if (!mGrC) return;
-  float x1, y1, x2, y2;
+  double x1, y1, x2, y2;
   x1 = xc1;  y1 = yc1;
   x2 = xc2;  y2 = yc2;
@@ -267,6 +267,6 @@
     if (y1 > yMax && y2 > yMax) return;
     if (x2 < x1) {
-      fl_swap(x1,x2);
-      fl_swap(y1,y2);
+      dbl_swap(x1,x2);
+      dbl_swap(y1,y2);
     }
     if (x2>xMax) {
@@ -279,6 +279,6 @@
     }
     if (y2 < y1) {
-      fl_swap(x1,x2);
-      fl_swap(y1,y2);
+      dbl_swap(x1,x2);
+      dbl_swap(y1,y2);
     }
     if (y2>yMax) {
@@ -292,5 +292,5 @@
   }
 
-  float xf1, yf1, xf2, yf2;
+  double xf1, yf1, xf2, yf2;
   UC2GrC(x1, y1, xf1, yf1);
   UC2GrC(x2, y2, xf2, yf2);
@@ -304,5 +304,5 @@
 {
   if (!mGrC) return;
-  float x, y, dx, dy;
+  double x, y, dx, dy;
   x = xc;  dx = dxc;
   y = yc;  dy = dyc;
@@ -331,9 +331,9 @@
   }
 
-  float xf, yf, xf2, yf2;
+  double xf, yf, xf2, yf2;
   UC2GrC(x, y, xf, yf);
   UC2GrC(x+dx, y+dy, xf2, yf2);
-  if (xf2 < xf)  fl_swap(xf, xf2);
-  if (yf2 < yf)  fl_swap(yf, yf2);
+  if (xf2 < xf)  dbl_swap(xf, xf2);
+  if (yf2 < yf)  dbl_swap(yf, yf2);
   mGrC->DrawBox(xf, yf, xf2-xf, yf2-yf);
 }  
@@ -343,5 +343,5 @@
 {
   if (!mGrC) return;
-  float x, y, dx, dy;
+  double x, y, dx, dy;
   x = xc;  dx = dxc;
   y = yc;  dy = dyc;
@@ -370,9 +370,9 @@
   }
 
-  float xf, yf, xf2, yf2;
+  double xf, yf, xf2, yf2;
   UC2GrC(x, y, xf, yf);
   UC2GrC(x+dx, y+dy, xf2, yf2);
-  if (xf2 < xf)  fl_swap(xf, xf2);
-  if (yf2 < yf)  fl_swap(yf, yf2);
+  if (xf2 < xf)  dbl_swap(xf, xf2);
+  if (yf2 < yf)  dbl_swap(yf, yf2);
   mGrC->DrawFBox(xf, yf, xf2-xf, yf2-yf);
 }  
@@ -383,5 +383,5 @@
   if (!mGrC) return;
 
-  float xf, yf, rf,rfy;
+  double xf, yf, rf,rfy;
   UC2GrC(x, y, xf, yf);
   DUC2GrC(r,r,rf,rfy);
@@ -395,5 +395,5 @@
   if (!mGrC) return;
 
-  float xf, yf, rf, rfy;
+  double xf, yf, rf, rfy;
   UC2GrC(x, y, xf, yf);
   DUC2GrC(r,r,rf,rfy);
@@ -407,5 +407,5 @@
   if (!mGrC) return;
 
-  float xf, yf, dxf, dyf;
+  double xf, yf, dxf, dyf;
   UC2GrC(x0, y0, xf, yf);
   DUC2GrC(dx, dy, dxf, dyf);
@@ -418,5 +418,5 @@
   if (!mGrC) return;
 
-  float xf, yf, dxf, dyf;
+  double xf, yf, dxf, dyf;
   UC2GrC(x0, y0, xf, yf);
   DUC2GrC(dx, dy, dxf, dyf);
@@ -432,5 +432,5 @@
   PIGrCoord *pxc, *pyc;
   int i;
-  float xf, yf;
+  double xf, yf;
  
   if (!mGrC) return;
@@ -454,5 +454,5 @@
   PIGrCoord *pxc, *pyc;
   int i;
-  float xf, yf;
+  double xf, yf;
  
   if (!mGrC) return;
@@ -473,9 +473,9 @@
 /* --Methode-- */
 void PIGraphicUC::DrawArc(PIGrCoord x0, PIGrCoord y0, PIGrCoord dx, PIGrCoord dy,
-                          float degdeb, float degfin)
-{
-  if (!mGrC) return;
-
-  float xf, yf, dxf, dyf;
+                          double degdeb, double degfin)
+{
+  if (!mGrC) return;
+
+  double xf, yf, dxf, dyf;
   UC2GrC(x0, y0, xf, yf);
   DUC2GrC(dx, dy, dxf, dyf);
@@ -484,9 +484,9 @@
 /* --Methode-- */
 void PIGraphicUC::DrawFArc(PIGrCoord x0, PIGrCoord y0, PIGrCoord dx, PIGrCoord dy,
-                           float degdeb, float degfin)
-{
-  if (!mGrC) return;
-
-  float xf, yf, dxf, dyf;
+                           double degdeb, double degfin)
+{
+  if (!mGrC) return;
+
+  double xf, yf, dxf, dyf;
   UC2GrC(x0, y0, xf, yf);
   DUC2GrC(dx, dy, dxf, dyf);
@@ -498,5 +498,5 @@
 {
   if (!mGrC) return;
-  float xf, yf;
+  double xf, yf;
   UC2GrC(x0, y0, xf, yf);
   mGrC->DrawMarker(xf, yf);
@@ -510,5 +510,5 @@
   PIGrCoord *pxc, *pyc;
   int i;
-  float xf, yf;
+  double xf, yf;
  
   if (!mGrC) return;
@@ -533,5 +533,5 @@
   if ( (sx < 1) || (sy < 1) )  return;
   if ((pix == NULL) || (cmap == NULL)) return; 
-  float xf,yf;
+  double xf,yf;
   UC2GrC(x, y, xf, yf);
   mGrC->DrawPixmap(xf, yf, pix, sx, sy, cmap);
@@ -618,6 +618,6 @@
 {
   if (!mGrC) return;
-  float fx, fy;
-  DUC2GrC((float)sz, (float)sz, fx, fy);
+  double fx, fy;
+  DUC2GrC((double)sz, (double)sz, fx, fy);
   int npt = (int)fy;
   if (npt < 8) npt = 8;
@@ -631,6 +631,6 @@
 {
   if (!mGrC) return;
-  float fx, fy;
-  DUC2GrC((float)sz, (float)sz, fx, fy);
+  double fx, fy;
+  DUC2GrC((double)sz, (double)sz, fx, fy);
   int isz = int(0.5*(fx+fy+1));
   mGrC->SelMarker( isz, mrk);
@@ -711,5 +711,5 @@
   if (!mGrC) return(0);
   int h,a,d;
-  float fh, fa, fd, x;
+  double fh, fa, fd, x;
   h = mGrC->GetFontHeight(a, d) ;
   DGrC2UC(0., h, x, fh);
@@ -732,6 +732,6 @@
 {
   if (!mGrC) return(0.);
-  float dx = mGrC->CalcStringWidth(s);
-  float dxx, dxy;
+  double dx = mGrC->CalcStringWidth(s);
+  double dxx, dxy;
   DGrC2UC(dx, dx, dxx, dxy);
   return(dxx);
Index: trunk/SophyaPI/PI/pigraphuc.h
===================================================================
--- trunk/SophyaPI/PI/pigraphuc.h	(revision 203)
+++ trunk/SophyaPI/PI/pigraphuc.h	(revision 204)
@@ -32,5 +32,5 @@
 
 //  Definition des coordonnees utilisateur
-  virtual void       SetUCS(float xmin, float xmax, float ymin, float ymax,
+  virtual void       SetUCS(double xmin, double xmax, double ymin, double ymax,
                             int axrl=kAxeDirSame, int ayud=kAxeDirSame);     
 
@@ -49,7 +49,7 @@
   virtual void       DrawFPolygon(PIGrCoord *x, PIGrCoord *y, int n, bool cinc=true); 
   virtual void       DrawArc(PIGrCoord x0, PIGrCoord y0, PIGrCoord dx, PIGrCoord dy,
-                             float degdeb, float degfin);
+                             double degdeb, double degfin);
   virtual void       DrawFArc(PIGrCoord x0, PIGrCoord y0, PIGrCoord dx, PIGrCoord dy, 
-                              float degdeb, float degfin);
+                              double degdeb, double degfin);
  
   virtual void       DrawMarker(PIGrCoord x0, PIGrCoord y0);
@@ -97,8 +97,8 @@
 
 //  Transformation des ccordonnees
-  virtual void       UC2GrC(float x, float y, float& xpix, float& ypix);
-  virtual void       GrC2UC(float xpix, float ypix, float& x, float& y);
-  virtual void       DUC2GrC(float dx, float dy, float& dxpix, float& dypix);
-  virtual void       DGrC2UC(float dxpix, float dypix, float& dx, float& dy);
+  virtual void       UC2GrC(double x, double y, double& xpix, double& ypix);
+  virtual void       GrC2UC(double xpix, double ypix, double& x, double& y);
+  virtual void       DUC2GrC(double dx, double dy, double& dxpix, double& dypix);
+  virtual void       DGrC2UC(double dxpix, double dypix, double& dx, double& dy);
 
   void   NoClip() {clip = false; }
@@ -110,8 +110,8 @@
   PIGraphicGen* mGrC;
 
-  float xMin, xMax, yMin, yMax; // Valeurs en unites user
-  float xOrg, yOrg;             // Position en pixels de (0.0, 0.0)
-  float xScale, yScale;         // Pixels par unites graphiques
-  float xW0, yW0, xWd, yWd;        // Origine/largeur ds la fenetre de trace
+  double xMin, xMax, yMin, yMax; // Valeurs en unites user
+  double xOrg, yOrg;             // Position en pixels de (0.0, 0.0)
+  double xScale, yScale;         // Pixels par unites graphiques
+  double xW0, yW0, xWd, yWd;        // Origine/largeur ds la fenetre de trace
   bool   aXdir, aYdir;           // Sens des axes horiz, vertical 
   bool   clip;
Index: trunk/SophyaPI/PI/pigraphx.cc
===================================================================
--- trunk/SophyaPI/PI/pigraphx.cc	(revision 203)
+++ trunk/SophyaPI/PI/pigraphx.cc	(revision 204)
@@ -240,5 +240,5 @@
 /* --Methode-- */
 void PIGraphicX::DrawArc(PIGrCoord x0, PIGrCoord y0, PIGrCoord dx, PIGrCoord dy, 
-                         float degdeb, float degfin)
+                         double degdeb, double degfin)
 {
 XDrawArc(XtDisplay (MyWdg()), mWId, DefGC(),
@@ -249,5 +249,5 @@
 /* --Methode-- */
 void PIGraphicX::DrawFArc(PIGrCoord x0, PIGrCoord y0, PIGrCoord dx, PIGrCoord dy, 
-                         float degdeb, float degfin)
+                         double degdeb, double degfin)
 {
 XFillArc(XtDisplay (MyWdg()), mWId, DefGC(),
Index: trunk/SophyaPI/PI/pigraphx.h
===================================================================
--- trunk/SophyaPI/PI/pigraphx.h	(revision 203)
+++ trunk/SophyaPI/PI/pigraphx.h	(revision 204)
@@ -33,7 +33,7 @@
   virtual void       DrawFPolygon(PIGrCoord *x, PIGrCoord *y, int n, bool cinc=true);  
   virtual void       DrawArc(PIGrCoord x0, PIGrCoord y0, PIGrCoord dx, PIGrCoord dy,
-                             float degdeb, float degfin);
+                             double degdeb, double degfin);
   virtual void       DrawFArc(PIGrCoord x0, PIGrCoord y0, PIGrCoord dx, PIGrCoord dy, 
-                              float degdeb, float degfin);
+                              double degdeb, double degfin);
   virtual void       DrawMarker(PIGrCoord x0, PIGrCoord y0);
   virtual void       DrawMarkers(PIGrCoord *x, PIGrCoord *y, int n);
Index: trunk/SophyaPI/PI/piimage.cc
===================================================================
--- trunk/SophyaPI/PI/piimage.cc	(revision 203)
+++ trunk/SophyaPI/PI/piimage.cc	(revision 204)
@@ -153,5 +153,5 @@
 //  SetSize(img->XSize(), img->YSize());
   CenterPave();
-  float min=1., max=-1., moy, sig;
+  double min=1., max=-1., moy, sig;
   int nbnul, nbsat;
   img->CheckDyn(min, max, moy, sig, nbnul, nbsat);
@@ -217,5 +217,5 @@
 if (showinfo && img)  { 
   char buff[256];
-  float x,y;
+  double x,y;
   img->XYCoord(xpav, ypav, x, y);
   sprintf(buff," X= %g , Y= %g  Pix= %g (%d,%d)      ", 
@@ -237,5 +237,5 @@
 
 /* --Methode-- */
-void PIImage::SetLut(float min, float max, int typlut, int lauto, bool refr)
+void PIImage::SetLut(double min, double max, int typlut, int lauto, bool refr)
 {
 if (lut) delete(lut);
@@ -243,5 +243,5 @@
   {
   int nbsig = lauto;  
-  float fracmax = 1. - 0.05*nbsig;
+  double fracmax = 1. - 0.05*nbsig;
   img->ComputeLut_PicHisto(min, max, nbsig, fracmax);
   }
@@ -381,5 +381,5 @@
 else {
   char buff[256];
-  float x,y;
+  double x,y;
   img->XYCoord(xpav, ypav, x, y);
   sprintf(buff," X= %g , Y= %g  Pix= %g (%d,%d)      ", 
@@ -423,5 +423,5 @@
 if (showinfo && img) {
   char buff[256];
-  float x,y;
+  double x,y;
   img->XYCoord(xpav, ypav, x, y);
   sprintf(buff," X= %g , Y= %g  Pix= %g (%d,%d)      ", 
@@ -567,5 +567,5 @@
  {
  char buff[256];  
- float x,y;
+ double x,y;
  img->XYCoord(xp, yp, x, y);
  sprintf(buff," X= %g , Y= %g  Pix= %g  (C= %d,%d)   ", 
@@ -669,5 +669,5 @@
 char pc[256];
 strncpy(pc, (char*)pdata, ll-1);  pc[ll-1] = '\0';
-float fx, fy;
+double fx, fy;
 img->Coord(xpav, ypav, fx, fy); 
 mdrw->ElAddText(fx, fy, pc );
@@ -717,5 +717,5 @@
 PosW2Img(xw1, yw1, &x1, &y1);
 PosW2Img(xw2, yw2, &x2, &y2);
-float fx1,fy1, fx2, fy2; 
+double fx1,fy1, fx2, fy2; 
 img->Coord(x1,y1, fx1, fy2);  // fy1 et fy2 echange expres pour utiliser kAxeDirAuto  
 img->Coord(x2,y2, fx2, fy1);  // En effet Image de haut vers bas, Axes de bas vers haut par defaut 
Index: trunk/SophyaPI/PI/piimage.h
===================================================================
--- trunk/SophyaPI/PI/piimage.h	(revision 203)
+++ trunk/SophyaPI/PI/piimage.h	(revision 204)
@@ -47,5 +47,5 @@
 
 //  Gestion du choix de LUT, facteur d agrandissement, table de couleur
-  void SetLut(float min, float max, int typlut=kLutType_Lin,
+  void SetLut(double min, double max, int typlut=kLutType_Lin,
               int lauto=0, bool refr=true);
   void SetLut(LUT *clut, bool refr=true);
Index: trunk/SophyaPI/PI/piimgtools.cc
===================================================================
--- trunk/SophyaPI/PI/piimgtools.cc	(revision 203)
+++ trunk/SophyaPI/PI/piimgtools.cc	(revision 204)
@@ -246,5 +246,5 @@
 void PIImgTools::Process(PIMessage msg, PIMsgHandler* /*sender*/, void* /*data*/)
 {
-float min, max, del;
+double min, max, del;
 int lauto, typ;
 int typlut[2] = {kLutType_Lin, kLutType_Log} ; 
@@ -266,11 +266,11 @@
     if (msg == 2700) {
       del = max_lut-min_lut;
-      min = min_lut+(float)mSc[0]->GetValue()/100*del;
-      max = max_lut+(float)mSc[0]->GetValue()/100*del;
+      min = min_lut+(double)mSc[0]->GetValue()/100*del;
+      max = max_lut+(double)mSc[0]->GetValue()/100*del;
     }
     if (msg == 2800) {
       del = max_lut-min_lut;
-      min = min_lut-(float)mSc[1]->GetValue()/100.*del*0.5;
-      max = max_lut+(float)mSc[1]->GetValue()/100.*del*0.5;
+      min = min_lut-(double)mSc[1]->GetValue()/100.*del*0.5;
+      max = max_lut+(double)mSc[1]->GetValue()/100.*del*0.5;
     }
     if ( (msg == 2700) || (msg == 2800) ) {
Index: trunk/SophyaPI/PI/pimenux.cc
===================================================================
--- trunk/SophyaPI/PI/pimenux.cc	(revision 203)
+++ trunk/SophyaPI/PI/pimenux.cc	(revision 204)
@@ -100,6 +100,6 @@
 PIMenuX::~PIMenuX()
 {
-for(int i=0; i<mNItem; i++)
-  XtDestroyWidget(mBut[i].itb);
+// for(int i=0; i<mNItem; i++)
+//  XtDestroyWidget(mBut[i].itb); Le destroy est fait par le widget menu lui-meme
 delete[] mBut ;
 }
Index: trunk/SophyaPI/PI/piscdrawwdg.cc
===================================================================
--- trunk/SophyaPI/PI/piscdrawwdg.cc	(revision 203)
+++ trunk/SophyaPI/PI/piscdrawwdg.cc	(revision 204)
@@ -33,5 +33,5 @@
 //--
 
-static inline void fl_swap(float& a, float& b) { float tmp = a; a = b; b = tmp;  } 
+static inline void dbl_swap(double& a, double& b) { double tmp = a; a = b; b = tmp;  } 
 
 //++
@@ -44,5 +44,5 @@
 // long  kind()
 //	Renvoie le type ("=PIScDrawWdg::ClassId")
-// void SetLimits(float xmin, float xmax, float ymin, float ymax, -
+// void SetLimits(double xmin, double xmax, double ymin, double ymax, -
 //           int axrl=kAxeDirSame, int ayud=kAxeDirSame, bool tmp=false)
 //	Définit les limites de coordonnées.
@@ -111,5 +111,5 @@
 
 void
-PIScDrawWdg::SetLimits(float xmin, float xmax, float ymin, float ymax,
+PIScDrawWdg::SetLimits(double xmin, double xmax, double ymin, double ymax,
                        int axrl, int ayud, bool tmp)
 {
@@ -177,5 +177,5 @@
 // Gestion affichage coordonnees du point 
 
-string   PIScDrawWdg::GetClickText(float x, float y) 
+string   PIScDrawWdg::GetClickText(double x, double y) 
 // Donne le texte a afficher pour position x,y  
 {
@@ -224,5 +224,5 @@
 {
 
-  float dx, dy;
+  double dx, dy;
   mBDrw->GetGraphicUC()->GrC2UC(xp, yp, dx, dy); 
   mPPos[0] = dx;  mPPos[1] = dy; 
@@ -271,9 +271,9 @@
     SetLimits(xMinS, xMaxS, yMinS, yMaxS, kAxeDirSame, kAxeDirSame );
   else {
-    float xl,yl,xh,yh;
+    double xl,yl,xh,yh;
     mBDrw->GetGraphicUC()->GrC2UC(xBegDrag, yBegDrag, xl, yl);
     mBDrw->GetGraphicUC()->GrC2UC(xEndDrag, yEndDrag, xh, yh);
-    if (xl > xh) fl_swap(xl, xh);
-    if (yl > yh) fl_swap(yl, yh);
+    if (xl > xh) dbl_swap(xl, xh);
+    if (yl > yh) dbl_swap(yl, yh);
     SetLimits(xl,xh,yl,yh, kAxeDirSame, kAxeDirSame, true);
   }
@@ -323,7 +323,7 @@
 {
   if (mSz <= 0)  return;
-  float xmin, xmax, ymin, ymax;
+  double xmin, xmax, ymin, ymax;
   int i=0;
-  float cv;
+  double cv;
   if (mAy) {
     xmin = xmax = mAx->Value(0);
@@ -351,5 +351,5 @@
     }
 
-  float dx, dy;
+  double dx, dy;
   dx = 0.02*(xmax-xmin);
   dy = 0.02*(ymax-ymin);
@@ -361,7 +361,7 @@
 
 /* --Methode-- */
-void PIYfXDrawer::Draw(PIGraphicUC* g, float xmin, float ymin, float xmax, float ymax)
-{
-  float xp,yp;
+void PIYfXDrawer::Draw(PIGraphicUC* g, double xmin, double ymin, double xmax, double ymax)
+{
+  double xp,yp;
   int i;
 
@@ -381,5 +381,5 @@
 
 // Trace des lignes 
-  float xp2, yp2;
+  double xp2, yp2;
   if (mAy) { xp2 = mAx->Value(0); yp2 = mAy->Value(0); }
   else { xp2 = mAx->X(0);  yp2 = mAx->Value(0); }
@@ -412,16 +412,16 @@
 /* --Methode-- */
 void
-PIFuncDrawer::Draw(PIGraphicUC* g, float /*xmin*/, float/*ymin*/, float/*xmax*/, float/*ymax*/)
+PIFuncDrawer::Draw(PIGraphicUC* g, double /*xmin*/, double/*ymin*/, double/*xmax*/, double/*ymax*/)
 {
   PIGrCoord x1, x2, y1, y2;
   g->GetGrSpace(x1, x2, y1, y2);
-  float xMax = x2;
-  float xMin = x1;
-  float yMax = y2;
-  float yMin = y1;
-  float xStep = (xMax - xMin)/100;
-  float xOld = xMin;
-  float yOld = mFunc(xMin);
-  for (float x = xMin+xStep; x<xMax; x+=xStep) {
+  double xMax = x2;
+  double xMin = x1;
+  double yMax = y2;
+  double yMin = y1;
+  double xStep = (xMax - xMin)/100;
+  double xOld = xMin;
+  double yOld = mFunc(xMin);
+  for (double x = xMin+xStep; x<xMax; x+=xStep) {
     double y = mFunc(x);
     if (y>yMin && yOld>yMin && 
Index: trunk/SophyaPI/PI/piscdrawwdg.h
===================================================================
--- trunk/SophyaPI/PI/piscdrawwdg.h	(revision 203)
+++ trunk/SophyaPI/PI/piscdrawwdg.h	(revision 204)
@@ -26,5 +26,5 @@
   virtual long       kind() {return ClassId; }
   
-  virtual void       SetLimits(float xmin, float xmax, float ymin, float ymax, 
+  virtual void       SetLimits(double xmin, double xmax, double ymin, double ymax, 
                                int axrl=kAxeDirSame, int ayud=kAxeDirSame, bool tmp=false);
   virtual void	     UpdateLimits();  // Calcule et change les limites a partir de Drawer-No-1 
@@ -42,15 +42,15 @@
   inline PIElDrawer* BaseDrawer() { return mBDrw; };
 
-  float XMin() const {return mBDrw->XMin();}
-  float XMax() const {return mBDrw->XMax();}
-  float YMin() const {return mBDrw->YMin();}
-  float YMax() const {return mBDrw->YMax();}
-  float XPPos() const { return mPPos[0]; }
-  float YPPos() const { return mPPos[1]; }
+  double XMin() const {return mBDrw->XMin();}
+  double XMax() const {return mBDrw->XMax();}
+  double YMin() const {return mBDrw->YMin();}
+  double YMax() const {return mBDrw->YMax();}
+  double XPPos() const { return mPPos[0]; }
+  double YPPos() const { return mPPos[1]; }
   int    LimitsFixed() const {return mBDrw->LimitsFixed();}
   void   FreeLimits() { mBDrw->FreeLimits(); }
     
 
-  virtual string     GetClickText(float x, float y); // Donne le texte a afficher pour position x,y
+  virtual string     GetClickText(double x, double y); // Donne le texte a afficher pour position x,y
 
   void               SetTextWin(PILabel * tw, bool trw=true, int tx=300, int ty=30);
@@ -68,6 +68,6 @@
   
 protected:
-  float xMinS, xMaxS, yMinS, yMaxS; // Sauvegarde pour zoom
-  float mPPos[2];               // Position click souris X,Y
+  double xMinS, xMaxS, yMinS, yMaxS; // Sauvegarde pour zoom
+  double mPPos[2];               // Position click souris X,Y
 
   PIElDrawer* mBDrw;
@@ -99,5 +99,5 @@
   virtual           ~PIYfXDrawer();
   
-  virtual void       Draw(PIGraphicUC* g, float xmin, float ymin, float xmax, float ymax);
+  virtual void       Draw(PIGraphicUC* g, double xmin, double ymin, double xmax, double ymax);
   virtual void       UpdateLimits();
   
@@ -120,5 +120,5 @@
   virtual           ~PIFuncDrawer();
   
-  virtual void       Draw(PIGraphicUC* g, float xmin, float ymin, float xmax, float ymax);
+  virtual void       Draw(PIGraphicUC* g, double xmin, double ymin, double xmax, double ymax);
 protected:
   FUNC               mFunc;
Index: trunk/SophyaPI/PI/pistzwin.cc
===================================================================
--- trunk/SophyaPI/PI/pistzwin.cc	(revision 203)
+++ trunk/SophyaPI/PI/pistzwin.cc	(revision 204)
@@ -177,5 +177,5 @@
 int k;
 for(k=0; k<NbChilds(); k++) { 
-  psf->NewPage((float)XSize(), (float)YSize(),PI_Auto);
+  psf->NewPage((double)XSize(), (double)YSize(),PI_Auto);
   GetChild(k)->PSPrint(psf, ofx, ofy);
   }
